<?php

declare(strict_types=1);

namespace Drupal\sm_transport_drupal_sql\Transport;

use Symfony\Component\Messenger\Stamp\NonSendableStampInterface;

/**
 * A stamp for received messages.
 */
class DrupalSQLReceivedStamp implements NonSendableStampInterface {

  /**
   * DrupalSQLReceivedStamp constructor.
   *
   * @param string $id
   *   The ID of the received message.
   */
  public function __construct(
    private string $id,
  ) {}

  /**
   * Return the ID of the received message.
   *
   * @return string
   *   The ID of the received message.
   */
  public function getId(): string {
    return $this->id;
  }

}
